'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * Normalizes the data to make more sensible errors handling
 */
exports.default = function () {
  var originalData = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var schema = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var _schema$required = schema.required,
      required = _schema$required === undefined ? [] : _schema$required;


  return Object.keys(originalData).reduce(function (clearData, key) {
    var value = originalData[key];
    var requiredAndEmpty = required.includes(key) && (value === '' || value === null);

    // considering empty strings as non-present data
    clearData[key] = requiredAndEmpty ? undefined : value;

    return clearData;
  }, {});
};